Package org.eclipse.net4j.spi.db

# Class DBAdapter.FieldInfo

java.lang.Object
org.eclipse.net4j.spi.db.DBAdapter.FieldInfo

All Implemented Interfaces:
  `Comparable<DBAdapter.FieldInfo>`

Enclosing class:
  DBAdapter

protected static final class DBAdapter.FieldInfo extends Object implements Comparable<DBAdapter.FieldInfo>

Since:
  4.2
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`name`
`int`
`position`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FieldInfo()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(DBAdapter.FieldInfo o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public String name

### position

public int position

## Constructor Details

### FieldInfo

protected FieldInfo()

## Method Details

### compareTo

public int compareTo(DBAdapter.FieldInfo o)

Specified by:
  `compareTo` in interface `Comparable<DBAdapter.FieldInfo>`